//	StoryScreen.h - Explains what you're doing.
//  ----------------------------------------------------------------------------
//	This file is part of 'GameTemplate', template code for a game.
//	Copyright (C) 2010  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#ifndef STORYSCREEN_H_
#define STORYSCREEN_H_

#include "GameState.h"

#include <stdint.h>

///	Explains what you're doing.
class StoryScreen : public GameState
{
  public:
	///	Constructor.
	StoryScreen(Application *app, bool easy);
	///	Destructor.
	~StoryScreen();

	///	Draws the current state.
	void draw(Drawer *d);

	///	Called when a key down event is received.
	void keyDown(const std::string& action, const SDL_keysym& keyPressed);

	///	Returns the name of this state.
	const std::string getName() const {return "StoryScreen";};
  private:
	///	The background image.
	static uint32_t back[2];

	///	The font to use.
	static uint32_t font;

	///	Whether we're in easy mode or not.
	bool easyMode;
};

#endif
