//	GradientBackground.cpp - Simple gradient background widget container.
//  ----------------------------------------------------------------------------
//	This file is part of 'GameTemplate', a game.
//	Copyright (C) 2010  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#include "GradientBackground.h"
#include "NiallsDrawingLib/Drawer.h"

//------------------------------------------------------------------------------
GradientBackground::GradientBackground(uint8_t r1,
									   uint8_t g1,
									   uint8_t b1,
									   uint8_t r2,
									   uint8_t g2,
									   uint8_t b2):
Widget(),
red1(r1),
green1(g1),
blue1(b1),
red2(r2),
green2(g2),
blue2(b2)
{
	
}

//------------------------------------------------------------------------------
GradientBackground::~GradientBackground()
{
	
}

//------------------------------------------------------------------------------
void GradientBackground::draw(Drawer *d)
{
	d->fillGradient(getXPos(),
					getYPos(),
					getWidth(),
					getHeight(),
					red1,
					green1,
					blue1,
					255,
					red2,
					green2,
					blue2,
					255);
}

//------------------------------------------------------------------------------
void GradientBackground::mouseMove(float x, float y)
{
	
}

//------------------------------------------------------------------------------
void GradientBackground::mouseButton(bool val, float x, float y)
{
	
}
