//	StaticImage.cpp - A static image widget.
//  ----------------------------------------------------------------------------
//	This file is part of 'GameTemplate', a game.
//	Copyright (C) 2010  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#include "StaticImage.h"
#include "NiallsDrawingLib/Drawer.h"
#include "NiallsDrawingLib/ImageLoader.h"

//------------------------------------------------------------------------------
StaticImage::StaticImage(const char *data, uint32_t size):
Widget(),
image(0),
imageData(data),
imageSize(size)
{
	
}

//------------------------------------------------------------------------------
StaticImage::~StaticImage()
{
	
}

//------------------------------------------------------------------------------
void StaticImage::draw(Drawer *d)
{
	if(!image)
	{
		ImageData data;
		ImageLoader loader;

		data = loader.loadImage(imageData, imageSize);
		image = d->loadImage(data.data, data.width, data.height);
	}

	d->drawImage(image, getXPos(), getYPos());
}
