//	Widget.cpp - Base class for any widgets.
//  ----------------------------------------------------------------------------
//	This file is part of 'GameTemplate', a game.
//	Copyright (C) 2010  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#include "Widget.h"

//------------------------------------------------------------------------------
Widget::Widget():
xPos(0.0f),
yPos(0.0f),
width(1.0f),
height(1.0f),
lastMouseDown(false)
{
	
}

//------------------------------------------------------------------------------
Widget::~Widget()
{
	
}

//------------------------------------------------------------------------------
void Widget::setPosition(float x, float y)
{
	xPos = x;
	yPos = y;
}

//------------------------------------------------------------------------------
void Widget::setSize(float w, float h)
{
	width = w;
	height = h;
}

//------------------------------------------------------------------------------
void Widget::mouseMoveTest(float x, float y)
{
	if((x >= xPos) && (x <= (xPos+width)) && (y >= yPos) && (y <= (yPos+height)))
		mouseMove(x, y);
	else
		mouseLeave(x, y);
}

//------------------------------------------------------------------------------
void Widget::mouseButtonTest(bool val, float x, float y)
{
	if((x >= xPos) && (x <= (xPos+width)) && (y >= yPos) && (y <= (yPos+height)))
	{
		if(val)
			lastMouseDown = true;
		mouseButton(val, x, y);
	}
	else if(!val) //So clicking a button and releasing after the mouse has moved
	{
		if(lastMouseDown)
		{
			lastMouseDown = false;
			mouseButton(val, x, y);
		}
		else
			mouseLeave(x, y); //away gets handled correctly.
	}
}
